Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -6338,46 +4813,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<PersonDepartmentMaster> BuffList = new List<PersonDepartmentMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMPersonDepartment.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        PersonDepartmentMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);
-                        strSQL += string.Format(", {0}", CurRec.DepartmentCode);
-
-                        strSQL += string.Format(", {0}", CurRec.AffiliationFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6384,6 +4833,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6414,7 +4864,7 @@
         private bool CnvPersoninchargemaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMPersonInCharge InDB = new ProcessManagement.OracleDB.IOAccess.IOMPersonInCharge();
-            ProcessManagement.MySQLDB.IOAccess.IOMPersonInCharge OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMPersonInCharge();
+            ProcessManagement.DB.IOAccess.IOMPersonInCharge OutDB = new ProcessManagement.DB.IOAccess.IOMPersonInCharge();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6428,60 +4878,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<PersonInChargeMaster> BuffList = new List<PersonInChargeMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMPersonInCharge.ColumnCnt)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        PersonInChargeMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder);
-                        strSQL += string.Format(", '{0}'", CurRec.PersonName);
-                        strSQL += string.Format(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", CurRec.StartDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", CurRec.EndDate.ToShortDateString());
-                        strSQL += string.Format(", '{0}'", CurRec.PassWord);
-                        strSQL += string.Format(", {0}", CurRec.SecurityManagement);
-                        strSQL += string.Format(", {0}", CurRec.SecCode);
-                        strSQL += string.Format(", '{0}'", CurRec.MsgBackColor);
-                        strSQL += string.Format(", '{0}'", CurRec.DisplayString);
-                        strSQL += string.Format(", {0}", CurRec.DepartmentCode);
-                        strSQL += string.Format(", {0}", CurRec.MonthlySalary);
-                        strSQL += string.Format(", {0}", CurRec.YearSalary);
-                        strSQL += string.Format(", '{0}'", CurRec.Qualification);
-                        strSQL += string.Format(", '{0}'", CurRec.SealPrintName);
-                        strSQL += string.Format(", {0}", CurRec.EmployeeClassFlg);
-                        strSQL += string.Format(", {0}", CurRec.LedgerFlg);
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6488,6 +4898,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6518,7 +4929,7 @@
         private bool CnvPersonsalarymaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMPersonSalary InDB = new ProcessManagement.OracleDB.IOAccess.IOMPersonSalary();
-            ProcessManagement.MySQLDB.IOAccess.IOMPersonSalary OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMPersonSalary();
+            ProcessManagement.DB.IOAccess.IOMPersonSalary OutDB = new ProcessManagement.DB.IOAccess.IOMPersonSalary();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6532,46 +4943,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<PersonSalaryMaster> BuffList = new List<PersonSalaryMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMPersonSalary.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        PersonSalaryMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);
-                        strSQL += string.Format(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", CurRec.StartDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.MonthlySalary);
-                        strSQL += string.Format(", {0}", CurRec.YearSalary);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6578,6 +4963,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6608,7 +4994,7 @@
         private bool CnvProceedingsdata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOProceedingsData InDB = new ProcessManagement.OracleDB.IOAccess.IOProceedingsData();
-            ProcessManagement.MySQLDB.IOAccess.IOProceedingsData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOProceedingsData();
+            ProcessManagement.DB.IOAccess.IOProceedingsData OutDB = new ProcessManagement.DB.IOAccess.IOProceedingsData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6622,50 +5008,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ProceedingsData> BuffList = new List<ProceedingsData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOProceedingsData.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ProceedingsData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("{0}", CurRec.ConstructionCode);                      // 工事番号
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.ProceedingsDataDate.ToShortDateString());// 議事録作成日
-                        strSQL += string.Format(", {0}", CurRec.StartMeetingTime);                    // 会議時間開始
-                        strSQL += string.Format(", {0}", CurRec.EndMeetingTime);                      // 会議時間終了
-                        strSQL += string.Format(", {0}", CurRec.CreatorCode);                         // 作成者コード
-                        strSQL += string.Format(", {0}", CurRec.PalceFlag);                           // 現地フラグ
-                        strSQL += string.Format(",'{0}'", CurRec.MeetingPalce);                       // 打合せ場所１
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6672,6 +5028,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6702,7 +5059,7 @@
         private bool CnvProceedingsdataattend(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOProceedingsDataAttend InDB = new ProcessManagement.OracleDB.IOAccess.IOProceedingsDataAttend();
-            ProcessManagement.MySQLDB.IOAccess.IOProceedingsDataAttend OutDB = new ProcessManagement.MySQLDB.IOAccess.IOProceedingsDataAttend();
+            ProcessManagement.DB.IOAccess.IOProceedingsDataAttend OutDB = new ProcessManagement.DB.IOAccess.IOProceedingsDataAttend();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6716,48 +5073,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ProceedingsDataAttend> BuffList = new List<ProceedingsDataAttend>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOProceedingsDataAttend.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ProceedingsDataAttend CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" {0}", CurRec.ConstructionCode);                     // 工事番号
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ProceedingsDataDate.ToShortDateString());// 議事録作成日
-                        strSQL += string.Format(", {0}", CurRec.StartMeetingTime);                    // 会議時間開始
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);                               // データ行番号
-                        strSQL += string.Format(",'{0}'", CurRec.Department);                         // 出席者所属
-                        strSQL += string.Format(",'{0}'", CurRec.AttendName);                         // 出席者氏名
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6764,6 +5093,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6794,7 +5124,7 @@
         private bool CnvProceedingsdatadetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOProceedingsDataDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOProceedingsDataDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOProceedingsDataDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOProceedingsDataDetail();
+            ProcessManagement.DB.IOAccess.IOProceedingsDataDetail OutDB = new ProcessManagement.DB.IOAccess.IOProceedingsDataDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6808,49 +5138,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ProceedingsDataDetail> BuffList = new List<ProceedingsDataDetail>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOProceedingsDataDetail.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ProceedingsDataDetail CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" {0}", CurRec.ConstructionCode);                     // 工事番号
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ProceedingsDataDate.ToShortDateString());// 議事録作成日
-                        strSQL += string.Format(", {0}", CurRec.StartMeetingTime);                    // 会議時間開始
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);                               // データ行番号
-                        strSQL += string.Format(",'{0}'", CurRec.TitleNo);                            // 議題番号
-                        strSQL += string.Format(",'{0}'", CurRec.Title);                              // 議題
-                        strSQL += string.Format(",'{0}'", CurRec.ContentsText);                       // 内容
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6857,6 +5158,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6887,7 +5189,7 @@
         private bool CnvProcessapproval(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOProcessApproval InDB = new ProcessManagement.OracleDB.IOAccess.IOProcessApproval();
-            ProcessManagement.MySQLDB.IOAccess.IOProcessApproval OutDB = new ProcessManagement.MySQLDB.IOAccess.IOProcessApproval();
+            ProcessManagement.DB.IOAccess.IOProcessApproval OutDB = new ProcessManagement.DB.IOAccess.IOProcessApproval();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6901,52 +5203,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ProcessApproval> BuffList = new List<ProcessApproval>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOProcessApproval.ColumnName)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ProcessApproval CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ApprovalCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.OrderNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.SeqNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.PersonCode.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.PetitionApprovalDate.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.ApprovalLimitDates.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ApprovalStatus.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.InputComment.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6953,6 +5223,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6983,7 +5254,7 @@
         private bool CnvProcessapprovalcomment(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOProcessApprovalComment InDB = new ProcessManagement.OracleDB.IOAccess.IOProcessApprovalComment();
-            ProcessManagement.MySQLDB.IOAccess.IOProcessApprovalComment OutDB = new ProcessManagement.MySQLDB.IOAccess.IOProcessApprovalComment();
+            ProcessManagement.DB.IOAccess.IOProcessApprovalComment OutDB = new ProcessManagement.DB.IOAccess.IOProcessApprovalComment();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6997,48 +5268,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ProcessApprovalComment> BuffList = new List<ProcessApprovalComment>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOProcessApprovalComment.ColumnName)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ProcessApprovalComment CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ApprovalCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.OrderNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.CommentNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ParentNo.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.ApproValComment.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7045,6 +5288,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7075,7 +5319,7 @@
         private bool CnvProcessapprovaldetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOProcessApprovalDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOProcessApprovalDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOProcessApprovalDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOProcessApprovalDetail();
+            ProcessManagement.DB.IOAccess.IOProcessApprovalDetail OutDB = new ProcessManagement.DB.IOAccess.IOProcessApprovalDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
